summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2019-05-18 00:00:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-18 00:00:48 +0700
commit832fba7887d31db10bf533579caad343531896e7 (patch)
tree8d8198b9b311f41eca2d41206dc16645843543d8 /office
parentda4070d5c4399791cf6a1dff79d404dc1b433a2c (diff)
downloadslackbuilds-832fba7887d31db10bf533579caad343531896e7.tar.gz
slackbuilds-832fba7887d31db10bf533579caad343531896e7.tar.xz
office/pdfstudioviewer: Added (PDF Reader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/pdfstudioviewer/README29
-rw-r--r--office/pdfstudioviewer/doinst.sh3
-rw-r--r--office/pdfstudioviewer/pdfstudioviewer.SlackBuild108
-rw-r--r--office/pdfstudioviewer/pdfstudioviewer.info14
-rw-r--r--office/pdfstudioviewer/slack-desc19
5 files changed, 173 insertions, 0 deletions
diff --git a/office/pdfstudioviewer/README b/office/pdfstudioviewer/README
new file mode 100644
index 0000000000..97ff7b3bc4
--- /dev/null
+++ b/office/pdfstudioviewer/README
@@ -0,0 +1,29 @@
+PDF Studio Viewer is a cross-platform PDF reader that is reliable and
+easy to use. PDF Studio Viewer can annotate PDF documents and fill
+interactive forms. For more editing features, there is the pdfstudio
+package.
+
+PDF Studio Viewer is a free proprietary Java based program (while
+pdfstudio is not free).
+
+Key features of PDF Studio Viewer:
+
+ * Display PDFs with high fidelity
+ * Annotate & Markup PDFs
+ * Fill & Save Forms
+ * Render Digital Signatures & Layers
+ * Advanced User Interface
+ * Advanced Print & Search Options
+ * Document Storage Integrations
+ * DocuSign Integration
+
+By default PDF Studio Viewer uses the system-wide Java.
+
+If you pass OWNJAVA=yes to the SlackBuild script:
+OWNJAVA=yes ./pdfstudioviewer.SlackBuild
+a version of Java that comes packaged with PDF Studio Viewer will be
+installed under the PDF Studio Viewer installation directory, this Java
+will not be used by other programs.
+
+NOTE: The license of the sources don't permit free distribution, so
+sources must be coming from upstream project.
diff --git a/office/pdfstudioviewer/doinst.sh b/office/pdfstudioviewer/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/pdfstudioviewer/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/pdfstudioviewer/pdfstudioviewer.SlackBuild b/office/pdfstudioviewer/pdfstudioviewer.SlackBuild
new file mode 100644
index 0000000000..7db6703d93
--- /dev/null
+++ b/office/pdfstudioviewer/pdfstudioviewer.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for pdfstudioviewer
+
+# Copyright 2019, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdfstudioviewer
+VERSION=${VERSION:-2019.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+YEAR=${VERSION:0:4}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i?86) DEBARCH="" ;;
+ x86_64) DEBARCH=64 ;;
+ *) printf "\n$ARCH is unsupported for the PDF Studio Viewer.\n\n"
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/PDFStudioViewer_v${VERSION//./_}_linux${DEBARCH}.deb data.tar.gz | tar xvz
+mkdir -p usr/bin
+ln -s /opt/pdfstudioviewer${YEAR}/pdfstudioviewer${YEAR} usr/bin/pdfstudioviewer
+
+mkdir -p usr/share/applications
+echo -e "[Desktop Entry]
+Type=Application
+Name=PDF Studio Viewer ${YEAR}
+Exec=/bin/sh "/opt/pdfstudioviewer${YEAR}/pdfstudioviewer${YEAR}"
+Icon=/opt/pdfstudioviewer${YEAR}/.install4j/pdfstudioviewer${YEAR}.png
+Terminal=false
+Categories=Office;Viewer;
+MimeType=application/pdf;" \
+> usr/share/applications/${PRGNAM}${YEAR}.desktop
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cp $CWD/pdfstudioviewer${YEAR}_userguide.pdf usr/doc/$PRGNAM-$VERSION/
+
+if [ "${OWNJAVA:-no}" = "yes" ]; then
+ cd opt/pdfstudioviewer${YEAR}/jre
+ for pack_file in lib/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ for pack_file in lib/ext/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ bin/java -Xshare:dump &>/dev/null
+ cd $PKG
+else
+ rm -rf opt/pdfstudioviewer${YEAR}/jre
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+chmod 0755 $PKG
+
+for f in additionalcopyrights.html license_viewer.html; do
+ unzip -p opt/pdfstudioviewer${YEAR}/lib/pdfstudio.jar \
+ resources/$f > usr/doc/$PRGNAM-$VERSION/$f
+done
+cat $CWD/$PRGNAM.SlackBuild > usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p install
+cat $CWD/slack-desc > install/slack-desc
+cat $CWD/doinst.sh > install/doinst.sh
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfstudioviewer/pdfstudioviewer.info b/office/pdfstudioviewer/pdfstudioviewer.info
new file mode 100644
index 0000000000..d58260ef72
--- /dev/null
+++ b/office/pdfstudioviewer/pdfstudioviewer.info
@@ -0,0 +1,14 @@
+PRGNAM="pdfstudioviewer"
+VERSION="2019.0.0"
+HOMEPAGE="https://www.qoppa.com/pdfstudioviewer/"
+DOWNLOAD="https://download.qoppa.com/pdfstudioviewer/v2019/PDFStudioViewer_v2019_0_0_linux.deb \
+ https://www.qoppa.com/files/pdfstudioviewer/guide/pdfstudioviewer2019_userguide.pdf"
+MD5SUM="ab6198f40f565a343f6970714dee7ca0 \
+ 2553291083d91212ca3fb8248e2bd49d"
+DOWNLOAD_x86_64="https://download.qoppa.com/pdfstudioviewer/v2019/PDFStudioViewer_v2019_0_0_linux64.deb \
+ https://www.qoppa.com/files/pdfstudioviewer/guide/pdfstudioviewer2019_userguide.pdf"
+MD5SUM_x86_64="1da8d71deb6db13d0c8d88f2ef7506b8 \
+ 2553291083d91212ca3fb8248e2bd49d"
+REQUIRES="jdk"
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/office/pdfstudioviewer/slack-desc b/office/pdfstudioviewer/slack-desc
new file mode 100644
index 0000000000..4d3aeba81e
--- /dev/null
+++ b/office/pdfstudioviewer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfstudioviewer: pdfstudioviewer (PDF reader)
+pdfstudioviewer:
+pdfstudioviewer: PDF Studio Viewer is a cross-platform PDF reader that is reliable and
+pdfstudioviewer: easy to use. PDF Studio Viewer can annotate PDF documents and fill
+pdfstudioviewer: interactive forms.
+pdfstudioviewer:
+pdfstudioviewer: PDF Studio Viewer is a free proprietary Java based program.
+pdfstudioviewer:
+pdfstudioviewer: Home page: https://www.qoppa.com/pdfstudioviewer/
+pdfstudioviewer:
+pdfstudioviewer: